Create an opt-in link
curl --request POST \
--url https://lazyapp.in/v1/connections/{connection}/signup-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signup_message": "<string>",
"confirmation_message": "<string>",
"privacy_policy_url": "<string>",
"website_url": "<string>",
"promo_code": "<string>",
"display_name": "<string>",
"accept_terms": true
}
'import requests
url = "https://lazyapp.in/v1/connections/{connection}/signup-links"
payload = {
"signup_message": "<string>",
"confirmation_message": "<string>",
"privacy_policy_url": "<string>",
"website_url": "<string>",
"promo_code": "<string>",
"display_name": "<string>",
"accept_terms": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
signup_message: '<string>',
confirmation_message: '<string>',
privacy_policy_url: '<string>',
website_url: '<string>',
promo_code: '<string>',
display_name: '<string>',
accept_terms: true
})
};
fetch('https://lazyapp.in/v1/connections/{connection}/signup-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://lazyapp.in/v1/connections/{connection}/signup-links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'signup_message' => '<string>',
'confirmation_message' => '<string>',
'privacy_policy_url' => '<string>',
'website_url' => '<string>',
'promo_code' => '<string>',
'display_name' => '<string>',
'accept_terms' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://lazyapp.in/v1/connections/{connection}/signup-links"
payload := strings.NewReader("{\n \"signup_message\": \"<string>\",\n \"confirmation_message\": \"<string>\",\n \"privacy_policy_url\": \"<string>\",\n \"website_url\": \"<string>\",\n \"promo_code\": \"<string>\",\n \"display_name\": \"<string>\",\n \"accept_terms\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://lazyapp.in/v1/connections/{connection}/signup-links")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"signup_message\": \"<string>\",\n \"confirmation_message\": \"<string>\",\n \"privacy_policy_url\": \"<string>\",\n \"website_url\": \"<string>\",\n \"promo_code\": \"<string>\",\n \"display_name\": \"<string>\",\n \"accept_terms\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://lazyapp.in/v1/connections/{connection}/signup-links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"signup_message\": \"<string>\",\n \"confirmation_message\": \"<string>\",\n \"privacy_policy_url\": \"<string>\",\n \"website_url\": \"<string>\",\n \"promo_code\": \"<string>\",\n \"display_name\": \"<string>\",\n \"accept_terms\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "9876543210123456",
"display_name": "<string>",
"signup_message": "<string>",
"confirmation_message": "<string>",
"privacy_policy_url": "<string>",
"promo_code": "<string>",
"website_url": "<string>",
"status": "ACTIVE",
"link": "https://wa.me/919812345670/signup/9876543210123456"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "The API is on the Pro plan. Upgrade in Billing to use live keys. Test keys keep working.",
"code": "plan_limit_reached"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"code": "<string>"
}{
"code": "meta_rejected",
"message": "This number was registered or deregistered too many times. Meta blocks further attempts for 72 hours.",
"meta": {
"code": 133016,
"message": "<string>",
"fbtrace_id": "<string>"
}
}Connections
Create an opt-in link
Creates a link people tap to subscribe inside WhatsApp. Set accept_terms: true on your first link to accept Meta’s terms. {{promo_code}} is the only placeholder allowed in confirmation_message. Not available in the EEA, UK, Brazil, Japan, South Korea, Nigeria, South Africa or Turkey.
Required scope: connections:write
POST
/
v1
/
connections
/
{connection}
/
signup-links
Create an opt-in link
curl --request POST \
--url https://lazyapp.in/v1/connections/{connection}/signup-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signup_message": "<string>",
"confirmation_message": "<string>",
"privacy_policy_url": "<string>",
"website_url": "<string>",
"promo_code": "<string>",
"display_name": "<string>",
"accept_terms": true
}
'import requests
url = "https://lazyapp.in/v1/connections/{connection}/signup-links"
payload = {
"signup_message": "<string>",
"confirmation_message": "<string>",
"privacy_policy_url": "<string>",
"website_url": "<string>",
"promo_code": "<string>",
"display_name": "<string>",
"accept_terms": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
signup_message: '<string>',
confirmation_message: '<string>',
privacy_policy_url: '<string>',
website_url: '<string>',
promo_code: '<string>',
display_name: '<string>',
accept_terms: true
})
};
fetch('https://lazyapp.in/v1/connections/{connection}/signup-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://lazyapp.in/v1/connections/{connection}/signup-links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'signup_message' => '<string>',
'confirmation_message' => '<string>',
'privacy_policy_url' => '<string>',
'website_url' => '<string>',
'promo_code' => '<string>',
'display_name' => '<string>',
'accept_terms' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://lazyapp.in/v1/connections/{connection}/signup-links"
payload := strings.NewReader("{\n \"signup_message\": \"<string>\",\n \"confirmation_message\": \"<string>\",\n \"privacy_policy_url\": \"<string>\",\n \"website_url\": \"<string>\",\n \"promo_code\": \"<string>\",\n \"display_name\": \"<string>\",\n \"accept_terms\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://lazyapp.in/v1/connections/{connection}/signup-links")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"signup_message\": \"<string>\",\n \"confirmation_message\": \"<string>\",\n \"privacy_policy_url\": \"<string>\",\n \"website_url\": \"<string>\",\n \"promo_code\": \"<string>\",\n \"display_name\": \"<string>\",\n \"accept_terms\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://lazyapp.in/v1/connections/{connection}/signup-links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"signup_message\": \"<string>\",\n \"confirmation_message\": \"<string>\",\n \"privacy_policy_url\": \"<string>\",\n \"website_url\": \"<string>\",\n \"promo_code\": \"<string>\",\n \"display_name\": \"<string>\",\n \"accept_terms\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "9876543210123456",
"display_name": "<string>",
"signup_message": "<string>",
"confirmation_message": "<string>",
"privacy_policy_url": "<string>",
"promo_code": "<string>",
"website_url": "<string>",
"status": "ACTIVE",
"link": "https://wa.me/919812345670/signup/9876543210123456"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "The API is on the Pro plan. Upgrade in Billing to use live keys. Test keys keep working.",
"code": "plan_limit_reached"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"code": "<string>"
}{
"code": "meta_rejected",
"message": "This number was registered or deregistered too many times. Meta blocks further attempts for 72 hours.",
"meta": {
"code": 133016,
"message": "<string>",
"fbtrace_id": "<string>"
}
}Authorizations
Your API key, e.g. sk_live_... or sk_test_....
Path Parameters
The connection uuid.
Body
application/json
Maximum string length:
300Maximum string length:
300Must start with https://.
Pattern:
^[A-Za-z0-9]{1,50}$Maximum string length:
256Response
Created.
Example:
"9876543210123456"
Available options:
ACTIVE, DISABLED, null Example:
"https://wa.me/919812345670/signup/9876543210123456"